﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HelloUnity.IoC
{
    public interface IDependencyResolver : IDisposable
    {
        T Resolve<T>(Type type);
        T Resolve<T>(Type type, string name);
        T Resolve<T>();
        T Resolve<T>(string name);
        IEnumerable<T> ResolveAll<T>();
    }
}
